View Issue Details

IDProjectCategoryView StatusLast Update
0004373SymmetricDSImprovementpublic2020-10-06 17:44
Reporterpmarzullo Assigned Topmarzullo  
Prioritynormal 
Status resolvedResolutionfixed 
Product Version3.11.8 
Target Version3.11.13Fixed in Version3.11.13 
Summary0004373: SQL Server supports filtered indexes, need to add support of filtered indexes in ddlutils
DescriptionCREATE INDEX FIBillOfMaterialsWithEndDate
    ON Production.BillOfMaterials (ComponentID, StartDate)
    WHERE EndDate IS NOT NULL ;

Notice the WHERE clause in the creation of the index.

Need to change database.dtd, adding a new attribute to index and unique sections. New attribute could be "filter".
Need to add support to DDL Reader to read filter specification for SQL Server Reader, all others should default to not supporting it.
Export to XML should add this attribute to indexes when specified.
DDL Writer needs to support this new attribute.
Tagsddl/schema, dialect: sql-server

Relationships

related to 0004568 resolvedpmarzullo SQL Server supports filtered indexes, need to add support of filtered indexes in ddlutils 

Activities

pmarzullo

2020-10-05 16:49

developer   ~0001804

Not completely working

Related Changesets

SymmetricDS: 3.11 69fa8a77

2020-09-24 10:01:31

pmarzullo

Details Diff
0004373: SQL Server supports filtered indexes, need to add support of
filtered indexes in ddlutils
Affected Issues
0004373
mod - symmetric-db/src/main/java/org/jumpmind/db/io/DatabaseXmlUtil.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/model/IIndex.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/model/IndexImpBase.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/model/NonUniqueIndex.java Diff File
add - symmetric-db/src/main/java/org/jumpmind/db/model/PlatformIndex.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/model/UniqueIndex.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/AbstractDdlBuilder.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/mssql/MsSql2008DdlBuilder.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/mssql/MsSqlDdlReader.java Diff File

SymmetricDS: 3.12 94f6415a

2020-09-24 10:01:31

pmarzullo

Details Diff
0004373: SQL Server supports filtered indexes, need to add support of
filtered indexes in ddlutils
Affected Issues
0004373
mod - symmetric-db/src/main/java/org/jumpmind/db/io/DatabaseXmlUtil.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/model/IIndex.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/model/IndexImpBase.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/model/NonUniqueIndex.java Diff File
add - symmetric-db/src/main/java/org/jumpmind/db/model/PlatformIndex.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/model/UniqueIndex.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/AbstractDdlBuilder.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/mssql/MsSql2008DdlBuilder.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/mssql/MsSqlDdlReader.java Diff File

SymmetricDS: 3.11 b62e5a69

2020-09-24 10:21:01

pmarzullo

Details Diff
0004373: SQL Server supports filtered indexes, need to add support of
filtered indexes in ddlutils
Affected Issues
0004373
mod - symmetric-db/src/main/java/org/jumpmind/db/io/DatabaseXmlUtil.java Diff File

Issue History

Date Modified Username Field Change
2020-04-27 18:38 pmarzullo New Issue
2020-04-27 18:38 pmarzullo Tag Attached: ddl/schema
2020-04-27 18:38 pmarzullo Tag Attached: dialect: sql-server
2020-07-06 13:00 pmarzullo Assigned To => pmarzullo
2020-07-06 13:00 pmarzullo Status new => assigned
2020-09-24 14:04 pmarzullo Relationship added related to 0004568
2020-09-24 14:06 pmarzullo Target Version => 3.11.13
2020-09-24 14:06 pmarzullo Status assigned => resolved
2020-09-24 14:06 pmarzullo Resolution open => fixed
2020-09-24 14:06 pmarzullo Fixed in Version => 3.11.13
2020-09-24 15:00 pmarzullo Changeset attached => SymmetricDS 3.11 b62e5a69
2020-09-24 15:00 pmarzullo Changeset attached => SymmetricDS 3.11 69fa8a77
2020-09-24 15:00 pmarzullo Changeset attached => SymmetricDS 3.12 94f6415a
2020-10-05 16:49 pmarzullo Status resolved => assigned
2020-10-05 16:49 pmarzullo Note Added: 0001804
2020-10-05 16:50 pmarzullo Resolution fixed => open
2020-10-05 16:50 pmarzullo Fixed in Version 3.11.13 =>
2020-10-06 17:44 pmarzullo Status assigned => resolved
2020-10-06 17:44 pmarzullo Resolution open => fixed
2020-10-06 17:44 pmarzullo Fixed in Version => 3.11.13